Migration Console WAPT

Share here your tips or issues concerning WAPT Console or WAPT Agent / Venez ici partager vos problèmes et astuces concernants la console et l'agent WAPT
Règles du forum
Règles du forum
* English support on www.reddit.com/r/wapt
* Le support en français se fait sur ce forum
* Merci de préfixer le titre du thread par [RESOLU] s'il est résolu.
* Préciser version de WAPT installée ( 1.3.13 / 1.5 / 1.7.4)
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
djedje68
Messages : 9
Inscription : 16 déc. 2019 - 13:02

15 janv. 2020 - 10:22

Bonjour,

J'ai du migrer ma console WAPT sur un autre poste.
Depuis, je n'arrive plus à réaliser les installations. J'ai l'erreur suivante :

Code : Tout sélectionner

Installing 724B117C-76F4-4BD3-94CA-CCB43094EC59(=4)

Installing 724B117C-76F4-4BD3-94CA-CCB43094EC59(=4)

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\waptservice\service.py", line 1711, in run
    self.running_task.run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 559, in run
    self._run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 1017, in _run
    self.result.get('errors',[])))
Exception: Erreur lors de l'installation de [u'724B117C-76F4-4BD3-94CA-CCB43094EC59(=4)']: erreurs dans les paquets [[PackageRequest(package=u'724B117C-76F4-4BD3-94CA-CCB43094EC59',version=(Version('4.0.0.0'), None),architectures=[u'x64'],locales=['fr'],maturities=[u'PROD'],min_os_version=Version('10.0.18362'),max_os_version=Version('10.0.18362')), PackageEntry(u'724B117C-76F4-4BD3-94CA-CCB43094EC59',u'4' ), u'Traceback (most recent call last):\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 4855, in install\n    force=force\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 3934, in install_wapt\n    raise e\nEWaptUnavailablePackage: Missing dependencies: xxxx-7zip\n']]

Exception: Erreur lors de l'installation de [u'724B117C-76F4-4BD3-94CA-CCB43094EC59(=4)']: erreurs dans les paquets [[PackageRequest(package=u'724B117C-76F4-4BD3-94CA-CCB43094EC59',version=(Version('4.0.0.0'), None),architectures=[u'x64'],locales=['fr'],maturities=[u'PROD'],min_os_version=Version('10.0.18362'),max_os_version=Version('10.0.18362')), PackageEntry(u'724B117C-76F4-4BD3-94CA-CCB43094EC59',u'4' ), u'Traceback (most recent call last):\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 4855, in install\n    force=force\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 3934, in install_wapt\n    raise e\nEWaptUnavailablePackage: Missing dependencies: xxxx-7zip\n']]
Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\waptservice\service.py", line 1711, in run
    self.running_task.run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 559, in run
    self._run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 1017, in _run
    self.result.get('errors',[])))
Exception: Erreur lors de l'installation de [u'724B117C-76F4-4BD3-94CA-CCB43094EC59(=4)']: erreurs dans les paquets [[PackageRequest(package=u'724B117C-76F4-4BD3-94CA-CCB43094EC59',version=(Version('4.0.0.0'), None),architectures=[u'x64'],locales=['fr'],maturities=[u'PROD'],min_os_version=Version('10.0.18362'),max_os_version=Version('10.0.18362')), PackageEntry(u'724B117C-76F4-4BD3-94CA-CCB43094EC59',u'4' ), u'Traceback (most recent call last):\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 4855, in install\n    force=force\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 3934, in install_wapt\n    raise e\nEWaptUnavailablePackage: Missing dependencies: xxxx-7zip\n']]
Je ne sais pas vraiment comment faire, comment migrer, etc...

J'ai régénéré un nouvel agent, etc... mais ça ne fonctionne pas.

J'ai loupé quelque chose mais je ne sais pas quoi.

D'avance merci,
Avatar de l’utilisateur
sfonteneau
Expert WAPT
Messages : 962
Inscription : 10 juil. 2014 - 23:52
Contact :

15 janv. 2020 - 10:55

Pouvez-vous vérifier que 7zip est dans la bonne architecture pour votre poste dans le dépôt privé ?
djedje68
Messages : 9
Inscription : 16 déc. 2019 - 13:02

15 janv. 2020 - 10:57

Bonjour,

Merci pour le retour,

J'ai vérifié, c'est OK.
Avatar de l’utilisateur
sfonteneau
Expert WAPT
Messages : 962
Inscription : 10 juil. 2014 - 23:52
Contact :

15 janv. 2020 - 11:22

L'agent wapt indique

raise e\nEWaptUnavailablePackage: Missing dependencies: xxxx-7zip

Ce qui signifie qu'on lui demande d'installer 7zip mais que le paquet 7zip est introuvable pour la machine.

Plusieurs cas possible:

- Le paquet n'est pas disponnible pour l'architecture du poste

- Le min os max os version du paquet n'est pas compatible avec le poste

- La langue du paquet n'est pas compatible avec celle du poste.

- La maturité du paquet n'est pas disponible pour ce poste.

- Le paquet wapt n'est pas signée avec une clé accepter par le poste.

Lorsque vous avez "Migrer la console", vous avez bien conservé la clé existante et non régénérer une nouvelle clé ?
djedje68
Messages : 9
Inscription : 16 déc. 2019 - 13:02

15 janv. 2020 - 11:37

Plusieurs cas possible:

- Le paquet n'est pas disponnible pour l'architecture du poste

- Le min os max os version du paquet n'est pas compatible avec le poste

- La langue du paquet n'est pas compatible avec celle du poste.

- La maturité du paquet n'est pas disponible pour ce poste.

- Le paquet wapt n'est pas signée avec une clé accepter par le poste.

Lorsque vous avez "Migrer la console", vous avez bien conservé la clé existante et non régénérer une nouvelle clé ?
J'ai généré une clé, mais j'ai encore l'ancienne clé... J'ai juste à la déplacer dans mon dossier "private" ?
Je pense que c'est vraiment une question de clé car le reste c'est bon.
djedje68
Messages : 9
Inscription : 16 déc. 2019 - 13:02

15 janv. 2020 - 13:01

J'arrive uniquement à installer les paquets que j'ai fraichement importé.
Je dois supprimer par exemple de mon dépôt privé 7zip, Firefox, etc... les réimporter et à ce moment là, l'installation fonctionne.

Je me suis trompé à quel moment ?
Avatar de l’utilisateur
vcardon
Expert WAPT
Messages : 119
Inscription : 06 oct. 2017 - 22:55
Localisation : Nantes, FR

15 janv. 2020 - 14:32

djedje68 a écrit :
15 janv. 2020 - 13:01
J'arrive uniquement à installer les paquets que j'ai fraichement importé.
Je dois supprimer par exemple de mon dépôt privé 7zip, Firefox, etc... les réimporter et à ce moment là, l'installation fonctionne.

Je me suis trompé à quel moment ?
Comme vous l'avez écrit, vous avez régénéré une clé. J'imagine ensuite que d'une manière ou d'une autre, vous avez déployé le nouveau certificat sur votre parc, et supprimé l'ancien certificat sur votre parc (déployé une mise à jour de vos agents WAPT, peut être ?).

Donc les nouveaux paquets signés avec la nouvelle clé se déploient et s'installent car l'agent reconnaît la nouvelle clé.

Corollairement, les anciens paquets dans votre dépôt, signés avec l'ancienne clé, continuent à être servis par le serveur car les updates se basent sur les numéro de version, mais ces upgrades ne se déclenchent plus plus car l'exécution d'un paquet s'effectue après la bonne vérification du certificat.

Ce fonctionnement est conforme.

Ca marche quand même super bien WAPT :D

Cordialement.

Vincent
Vincent CARDON
Tranquil IT
Répondre